it-swarm.com.ru

Как мне установить JDK для Java 1.6 SE на OS X 10.9.1 Mavericks

В настоящее время у меня на компьютере установлена ​​Java 7, но я бы хотел понизить версию, так как некоторые модульные тесты в моем текущем проекте терпят неудачу с более новыми версиями Java. 

Обратите внимание, что я использую OS X 10.9.1, и практика установки Java изменилась по сравнению с предыдущими версиями ОС.  

Поскольку Apple изменила дистрибутив примерно в 1.6, для меня не очевидно, как мне получить старую версию. Oracle не поставляет пакеты Mac с 1.6 :(

Улики?

7
Anders Johansen

OS/X Mavericks поставляется с Java 1.6, но если вы установили другую версию, вы можете вернуться с 1.6, если загрузите комплект Java SE 1.6.0_65 из Apple .

Если вы установили более позднюю версию Java, например, 1.7, для всех пользователей установка вышеупомянутого пакета, скорее всего, сломает вашу существующую более новую установку.

10
Sami Laine

Ответ Сами Лейна мне не помог, но эта страница StackOverflow помогла: Java 6 Unsupported major.minor версия 51.0

Чтобы перейти с Java 1.8 на 1.6 для поддержки устаревшей кодовой базы, мне также пришлось отказаться от Maven с 3.3 до 3.2.

1
Matthew Kuraja